- Qt 6.11
- Qt Core
- C++ Classes
- QDataStream
- Qt 6.11.2 Reference Documentation

# Obsolete Members for QDataStream

The following members of class QDataStream are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated in 6.11)` QDataStream & | readBytes(char *&s, uint &l)

## Member Function Documentation

### `[deprecated in 6.11]` QDataStream &QDataStream::readBytes(char *&s, uint &l)

This function is deprecated since 6.11. We strongly advise against using it in new code.

Use an overload that takes qint64 length instead.